---
title: "Save attributes"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › reports

`PUT /v2/reports/{id}/attributes`

## Path parameters

- `id` (`report-save-attributes.path.id`; string, required)
  - format `uuid`

## Request body

_Required._

- `attributes` (`report-save-attributes.attributes`; array<object>, required)
  - `traitType` (`report-save-attributes.attributes.traitType`; string, required)
    - minLength 1
  - `value` (`report-save-attributes.attributes.value`; string, required)
    - minLength 1
  - `isAutoExtracted` (`report-save-attributes.attributes.isAutoExtracted`; boolean, optional)
    - default `false`

## Example request

```json
{
  "attributes": [
    {
      "traitType": "string",
      "value": "string",
      "isAutoExtracted": false
    }
  ]
}
```

## Code samples

### cURL

```bash
curl --request PUT \
  --url 'https://api.sureshake.com/v2/reports/<id>/attributes' \
  --header 'Content-Type: application/json' \
  --data '
{
  "attributes": [
    {
      "traitType": "string",
      "value": "string",
      "isAutoExtracted": false
    }
  ]
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/reports/<id>/attributes';
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({attributes: [{traitType: 'string', value: 'string', isAutoExtracted: false}]})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/reports/<id>/attributes"

payload = { "attributes": [
        {
            "traitType": "string",
            "value": "string",
            "isAutoExtracted": False
        }
    ] }
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "success": true
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`report-save-attributes.response.200.data`; object, required)
  - `success` (`report-save-attributes.response.200.data.success`; boolean, required)
    - one of `true`
- `meta` (`report-save-attributes.response.200.meta`; object, optional)
  - `timestamp` (`report-save-attributes.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-save-attributes.response.400.error`; object, required)
  - `code` (`report-save-attributes.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-save-attributes.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`report-save-attributes.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-save-attributes.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-save-attributes.response.401.error`; object, required)
  - `code` (`report-save-attributes.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-save-attributes.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`report-save-attributes.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-save-attributes.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-save-attributes.response.403.error`; object, required)
  - `code` (`report-save-attributes.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-save-attributes.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`report-save-attributes.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-save-attributes.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-save-attributes.response.404.error`; object, required)
  - `code` (`report-save-attributes.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-save-attributes.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`report-save-attributes.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-save-attributes.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-save-attributes.response.409.error`; object, required)
  - `code` (`report-save-attributes.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-save-attributes.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`report-save-attributes.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-save-attributes.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-save-attributes.response.422.error`; object, required)
  - `code` (`report-save-attributes.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-save-attributes.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`report-save-attributes.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-save-attributes.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-save-attributes.response.500.error`; object, required)
  - `code` (`report-save-attributes.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-save-attributes.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`report-save-attributes.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-save-attributes.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/report-save-attributes/index.md
